<template>
  <div class="grid grid-cols-12 gap-8 items-center">
    <div class="col-span-5">
      <div class="mb-8 flex flex-col items-center justify-center">
        <img :src="passenger.profilePhoto" />
        <t-span weight="bold" class="text-grey-light text-lg mt-4">Offline</t-span>
      </div>
      <div class="grid grid-cols-12 gap-4 border-b border-t border-grey-default py-2 w-full">
        <t-span class="col-span-6" weight="bold" size="text-md">
          Name
        </t-span>
        <t-span class="col-span-6" weight="medium" size="text-md">
          {{ passenger.displayName }}
        </t-span>
      </div>
       <div class="grid grid-cols-12 gap-4 border-b border-grey-default py-2 w-full">
        <t-span class="col-span-6" weight="bold" size="text-md">
          Temperature
        </t-span>
        <t-span class="col-span-6" weight="medium" size="text-md">
          {{ passenger.temperature }}°
        </t-span>
      </div>
      <div class="grid grid-cols-12 gap-4 border-b border-grey-default py-2 w-full">
        <t-span class="col-span-6" weight="bold" size="text-md">
          Check-in date
        </t-span>
        <t-span class="col-span-6" weight="medium" size="text-md">
          {{ getDate(passenger.checkInTime) }}
        </t-span>
      </div>
      <div class="grid grid-cols-12 gap-4 border-b border-grey-default py-2 w-full">
        <t-span class="col-span-6" weight="bold" size="text-md">
          Check-in time
        </t-span>
        <t-span class="col-span-6" weight="medium" size="text-md">
          {{ getTime(passenger.checkInTime) }}
        </t-span>
      </div>
      <div class="grid grid-cols-12 gap-4 border-b border-grey-default py-2 w-full">
        <t-span class="col-span-6" weight="bold" size="text-md">
          Check-out time
        </t-span>
        <t-span class="col-span-6" weight="medium" size="text-md">
          {{ getTime(passenger.checkOutTime) }}
        </t-span>
      </div>
      <div class="grid grid-cols-12 gap-4 border-b border-grey-default py-2 w-full">
        <t-span class="col-span-6" weight="bold" size="text-md">
          Current area:
        </t-span>
        <t-span class="col-span-6" weight="medium" size="text-md">{{ passenger.areaName }}</t-span>
      </div>
      <div class="grid grid-cols-12 gap-4 border-b border-grey-default py-2 w-full">
        <t-span class="col-span-6" weight="bold" size="text-md">
          Current unit:
        </t-span>
        <t-span class="col-span-6" weight="medium" size="text-md">{{ passenger.unitName }}</t-span>
      </div>
      <div class="grid grid-cols-12 gap-4 border-b border-grey-default py-2 w-full">
        <t-span class="col-span-6" weight="bold" size="text-md">
          Current duration:
        </t-span>
        <t-span class="col-span-6" weight="medium" size="text-md">
          3h 21m 48s
        </t-span>
      </div>
    </div>
    <div class="col-span-7">
      <div class="relative bg-blue-light border border-grey-default rounded-md p-2 m-auto" style="width: 500px">
        <div class="relative">
          <div class="grid grid-cols-12 gap-4">
            <div v-for="unit in store.getUnits(store.selectedAreaId)" :key="unit.id" class="col-span-12 relative bg-white border border-grey-default rounded-md h-60 cursor-pointer flex items-center justify-center">
              <t-span class="text-grey-light">Unit: {{ unit.name }}</t-span>
              <people v-if="passenger.unitName === unit.name" :passenger="passenger"></people>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { defineComponent } from '@nuxtjs/composition-api'
import moment from 'moment'
import { useBuilding } from '~/store/building'
import TSpan from '~/components/shared/typography/Span'
import People from '~/components/shared/People'

export default defineComponent({
  components: { People, TSpan },
  setup() {
    const store = useBuilding()
    return { store }
  },
  computed: {
    passenger() {
      return this.store.getPassenger(this.store.selectedPassengerId)
    }
  },
  methods: {
    getDate(isoDate) {
      return moment(isoDate).format('DD MMMM YYYY')
    },
    getTime(isoDate) {
      return moment(isoDate).format('HH.mm.SS.SSS')
    },
  },
})
</script>
